Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI.Run
Class GEVAGraphPaneCategory

    java.lang.Object
      UI.Run.GEVAGraphPaneCategory

    public class GEVAGraphPaneCategory

extends java.lang.Object

Store a grouping of GEVAGraphItems that relate to each other, usually in their measurements in the graph. Each GEVAGraphPaneCategory given to GEVAGraph will produce a new tab, and each GEVAGraphPaneItem in the GEAVGraphCategory will produce a statistics and configuration entry under that tab

Author:
  eliott bartley

Constructor Summary
`GEVAGraphPaneCategory(java.lang.String name)` Create a new category (statistics tab in graph pane) and give it a user- friendly name

Method Summary
`void` | `addItem(GEVAGraphPaneItem item)` Add an item to this category.
`java.awt.Container` | `getContainer()` Get the container where all items under this category are to be added.
`GEVAGraphPaneItem` | `getItem(java.lang.String itemName)` Get an item by its name. this name is the name used by GEVA, not the user-friendly title
`java.lang.String` | `getName()` Get the name that is displayed on the tab for this category
`void` | `setContainer(java.awt.Container container)` Set the container where all items under this category are to be added.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GEVAGraphPaneCategory

    public GEVAGraphPaneCategory(java.lang.String name)

  Create a new category (statistics tab in graph pane) and give it a user- friendly name

  Parameters:
    `name` - Name displayed on tab

Method Detail

### getName

    public java.lang.String getName()

  Get the name that is displayed on the tab for this category

### addItem

    public void addItem(GEVAGraphPaneItem item)

  Add an item to this category. Each added item is displayed under the tab as a statistical data entry

  Parameters:
    `item` -

### getItem

    public GEVAGraphPaneItem getItem(java.lang.String itemName)

  Get an item by its name. this name is the name used by GEVA, not the user-friendly title

  Parameters:
    `itemName` -

### setContainer

    public void setContainer(java.awt.Container container)

  Set the container where all items under this category are to be added. This is the awt (or swing) component

  Parameters:
    `container` -

### getContainer

    public java.awt.Container getContainer()

  Get the container where all items under this category are to be added. This is the awt (or swing) component

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD